Bug 183941 - kdebase rebuilt issues with new dbus
kdebase rebuilt issues with new dbus
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-03 18:04 EST by Sammy
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-16 06:03:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sammy 2006-03-03 18:04:21 EST
In trying to rebuild kdebase rpm I ran into a problem in mediamanager
where halbackend.h includes <dbus/communicator.h> or something like
that, which no longer exists. There is a dbus-comm....h but one is
not supposed to include that but dbus.h instead. So, I changed that
to <dbus/dbus.h>.

In addition, I updated hal/dbus stuff form coolos_media and with that
I also had to add #include "communicator.h" to halbackend.h.
Comment 1 Ngo Than 2006-03-16 06:03:01 EST
i can build kdebase without any problem in latest rawhide.

Note You need to log in before you can comment on or make changes to this bug.